%define debug_package %{nil}
%{!?commit:
%global commit ab4d62a3bf3774b77b6f9b04a2028faec1568aca
}
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:           machine-config-daemon
Version:        4.3.7
Release:        202003160202.git.0.1391fb1%{?dist}
Summary:        https://github.com/openshift/machine-config-operator
License:        ASL 2.0
URL:            https://github.com/openshift/machine-config-operator
Source0: machine-config-daemon-git-0.1391fb1.tar.gz

BuildRequires:  git
BuildRequires:  %{?go_compiler:compiler(go-compiler)}%{!?go_compiler:golang >= 1.12}

%description
%{summary}

%prep
%autosetup -Sgit -n machine-config-daemon-git-0.1391fb1 -p1

%build
# By default go build doesn't uses vendored packags with Go modules
# Should be fixed with Go 1.14 - https://github.com/golang/go/issues/33848
env VERSION_OVERRIDE=%{version} SOURCE_GIT_COMMIT=%{commit} GOFLAGS='-mod=vendor' WHAT='machine-config-daemon' ./hack/build-go.sh

%install
install -D -m 0755 _output/linux/*/%{name} $RPM_BUILD_ROOT/usr/libexec/%{name}
install -D -m 0755 cmd/machine-config-daemon/pivot.sh $RPM_BUILD_ROOT/%{_bindir}/pivot

%files
%license LICENSE
%doc docs/README.md
%{_libexecdir}/%{name}
%{_bindir}/pivot
